Name | Type | Default |
animationType
|
DropDownButtonAnimationType
|
'slide'
|
DropDownButtonAnimationType: "none" | "slide" | "fade"
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} animationType={ 'fade'}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
arrowSize
|
number
|
16
|
Sets or gets the width of the arrow element.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} arrowSize={20}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoOpen
|
boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} autoOpen={true}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeDelay
|
number
|
400
|
Sets or gets the delay of the 'close' animation.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} closeDelay={800}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables or disables the dropDownButton.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} disabled={true}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownHorizontalAlignment
|
DropDownButtonHorizontalAlignment
|
'left'
|
DropDownButtonHorizontalAlignment: "left" | "right"
Sets or gets the DropDown's alignment.
Possible values:
'left'
'right'
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} dropDownHorizontalAlignment={ 'right'}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownVerticalAlignment
|
DropDownButtonVerticalAlignment
|
'bottom'
|
DropDownButtonVerticalAlignment: "top" | "bottom"
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} dropDownVerticalAlignment={ 'bottom'}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownWidth
|
number | string
|
null
|
Sets or gets the dropdownbutton popup width.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} dropDownWidth={500}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableBrowserBoundsDetection
|
boolean
|
false
|
When this property is set to true, the popup may open above the button, if there's not enough available space below the button.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} enableBrowserBoundsDetection={true}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the button's height.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} height={40}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initContent
|
() => void
|
null
|
Function, called after the first open of the dropdown button popup.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} initContent={this.state.initContent}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
openDelay
|
number
|
350
|
Sets or gets the delay of the 'open' animation.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} openDelay={1000}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the popup's z-index.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} popupZIndex={9999}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} rtl={true}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
DropDownButtonTemplate
|
'default'
|
DropDownButtonTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} template={ 'success'}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} theme={ 'material'}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the button's width.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} width={400}> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
close
|
Event
|
|
This event is triggered when the button's popup is closed.
Code examples
Bind to the close event of jqxDropDownButton.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} onClose={this.onClose} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } private onClose(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
Event
|
|
This event is triggered when the button's popup is opened.
Code examples
Bind to the open event of jqxDropDownButton.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} onOpen={this.onOpen} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } private onOpen(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
close
|
None
|
|
Hides the button's content.
|
destroy
|
None
|
|
Destroys the widget.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.myDropDownButton.current!.destroy(); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.myDropDownButton.current!.focus(); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getContent
|
None
|
|
Gets the button's content. The returned value is the button's content set through the "setContent" method.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.myDropDownButton.current!.getContent(); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
isOpened
|
None
|
|
Returns true, if the drop down is opened. Otherwise returns false.
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.myDropDownButton.current!.isOpened(); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
Shows the button's content.
|
setContent
|
content
|
|
Sets the button's content. The parameter could be a "string" or "html".
/* CSSStylesheet.css */ .jqx-tree { border: none; }
/* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react';import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDropDownButton, { IDropDownButtonProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdropdownbutton'; import JqxTree, { ITreeProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtree'; class App extends React.PureComponent <{}, IDropDownButtonProps> { private myDropDownButton = React.createRef <JqxDropDownButton>(); constructor(props: {}) { super(props); } public componentDidMount(): void { this.myDropDownButton.current!.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.myDropDownButton.current!.setContent( 'New Content!'); } public render() { return ( <JqxDropDownButton ref={this.myDropDownButton} > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton> ); } private myTreeOnSelect(event) { const item = this.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.myDropDownButton.current!.setContent(dropDownContent); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationType
|
String
|
'slide'
|
Sets or gets the type of the animation.
Possible Values:
'fade'
'slide'
'none'
<template> <JqxDropDownButton ref="myDropDownButton" :animationType="'fade'"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
arrowSize
|
Number
|
16
|
Sets or gets the width of the arrow element.
<template> <JqxDropDownButton ref="myDropDownButton" :arrowSize="20"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
autoOpen
|
Boolean
|
false
|
Sets or gets whether the DropDown is automatically opened when the mouse cursor is moved over the widget.
<template> <JqxDropDownButton ref="myDropDownButton" :autoOpen="true"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
closeDelay
|
Number
|
400
|
Sets or gets the delay of the 'close' animation.
<template> <JqxDropDownButton ref="myDropDownButton" :closeDelay="800"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
disabled
|
Boolean
|
false
|
Enables or disables the dropDownButton.
<template> <JqxDropDownButton ref="myDropDownButton" :disabled="true"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
dropDownHorizontalAlignment
|
String
|
'left'
|
Sets or gets the DropDown's alignment.
Possible values:
'left'
'right'
<template> <JqxDropDownButton ref="myDropDownButton" :dropDownHorizontalAlignment="'right'"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
dropDownVerticalAlignment
|
String
|
'bottom'
|
Sets or gets the DropDown's alignment.
Possible Values:
'top'
'bottom'
<template> <JqxDropDownButton ref="myDropDownButton" :dropDownVerticalAlignment="'bottom'"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
dropDownWidth
|
String | Number
|
null
|
Sets or gets the dropdownbutton popup width.
<template> <JqxDropDownButton ref="myDropDownButton" :dropDownWidth="500"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
When this property is set to true, the popup may open above the button, if there's not enough available space below the button.
<template> <JqxDropDownButton ref="myDropDownButton" :enableBrowserBoundsDetection="true"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
height
|
Number | String
|
null
|
Sets or gets the button's height.
<template> <JqxDropDownButton ref="myDropDownButton" :height="40"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
initContent
|
Function
|
null
|
Function, called after the first open of the dropdown button popup.
<template> <JqxDropDownButton ref="myDropDownButton" :initContent="initContent"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent); }, initContent: function () { this.$refs.myDropDownButton.setContent( 'Dynamicly Added!');
|
openDelay
|
Number
|
350
|
Sets or gets the delay of the 'open' animation.
<template> <JqxDropDownButton ref="myDropDownButton" :openDelay="1000"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popup's z-index.
<template> <JqxDropDownButton ref="myDropDownButton" :popupZIndex="9999"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxDropDownButton ref="myDropDownButton" :rtl="true"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxDropDownButton ref="myDropDownButton" :template="'success'"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
theme
|
String
|
''
|
Sets the widget's theme. Include the desired theme's CSS file after the 'jqx.base.css' file.
<template> <JqxDropDownButton ref="myDropDownButton" :theme="'material'"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
width
|
Number | String
|
null
|
Sets or gets the button's width.
<template> <JqxDropDownButton ref="myDropDownButton" :width="400"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
|
close
|
Event
|
|
This event is triggered when the button's popup is closed.
Code examples
Bind to the close event of jqxDropDownButton.
<template> <JqxDropDownButton ref="myDropDownButton" @close="onClose($event)" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent); }, onClose: function (event) { alert( 'do something...');
|
open
|
Event
|
|
This event is triggered when the button's popup is opened.
Code examples
Bind to the open event of jqxDropDownButton.
<template> <JqxDropDownButton ref="myDropDownButton" @open="onOpen($event)" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent); }, onOpen: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
close
|
None
|
None
|
Hides the button's content.
<template> <JqxDropDownButton ref="myDropDownButton" :autoOpen="false"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template><script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.$refs.myDropDownButton.open(); setTimeout(_ => this.$refs.myDropDownButton.close(), 1000); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxDropDownButton ref="myDropDownButton" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.$refs.myDropDownButton.destroy(); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxDropDownButton ref="myDropDownButton" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.$refs.myDropDownButton.focus(); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
getContent
|
None
|
Object
|
Gets the button's content. The returned value is the button's content set through the "setContent" method.
<template> <JqxDropDownButton ref="myDropDownButton" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); const value = this.$refs.myDropDownButton.getContent(); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
isOpened
|
None
|
Boolean
|
Returns true, if the drop down is opened. Otherwise returns false.
<template> <JqxDropDownButton ref="myDropDownButton" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); const value = this.$refs.myDropDownButton.isOpened(); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
open
|
None
|
None
|
Shows the button's content.
<template> <JqxDropDownButton ref="myDropDownButton" :autoOpen="false"> <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education</li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template><script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.$refs.myDropDownButton.open(); setTimeout(_ => this.$refs.myDropDownButton.close(), 1000); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|
setContent
|
content
|
None
|
Sets the button's content. The parameter could be a "string" or "html".
<template> <JqxDropDownButton ref="myDropDownButton" > <jqxTree ref='myTree' @select='myTreeOnSelect($event)' :width='200'> <ul> <li item-selected='true'>Home</li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </JqxDropDownButton></template> <script> import JqxDropDownButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdropdownbutton.vue'; import JqxTree from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtree.vue'; export default { components: { JqxDropDownButton, JqxTree }, mounted: function () { this.$refs.myDropDownButton.setContent(` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>Home </div>`); this.$refs.myDropDownButton.setContent( 'New Content!'); }, methods: { myTreeOnSelect: function (event) { const item = this.$refs.myTree.getItem(event.args.element); const dropDownContent = ` <div style='position: relative; margin-left: 3px; margin-top: 4px;'>` + item.label + ` </div>`; this.$refs.myDropDownButton.setContent(dropDownContent);
|

Name | Type | Default |
animationType
|
enum:DropDownButtonAnimationType
|
'slide'
|
enum DropDownButtonAnimationType { none, slide, fade } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [animationType]="'fade'"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
arrowSize
|
Number
|
16
|
Sets or gets the arrowSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [arrowSize]="20"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
autoOpen
|
Boolean
|
false
|
Sets or gets the autoOpen property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [autoOpen]="true"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
closeDelay
|
Number
|
400
|
Sets or gets the closeDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [closeDelay]="200"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [disabled]="true"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
dropDownHorizontalAlignment
|
enum:DropDownButtonDropDownHorizontalAlignment
|
'left'
|
Sets or gets the dropDownHorizontalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [dropDownHorizontalAlignment]="'right'"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
dropDownVerticalAlignment
|
enum:DropDownButtonDropDownVerticalAlignment
|
'bottom'
|
Sets or gets the dropDownVerticalAlignment property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [dropDownVerticalAlignment]="'top'"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
dropDownWidth
|
String | Number
|
null
|
Sets or gets the dropDownWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [dropDownWidth]="200"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
enableBrowserBoundsDetection
|
Boolean
|
false
|
Sets or gets the enableBrowserBoundsDetection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [enableBrowserBoundsDetection]="true"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
initContent
|
() => Void
|
null
|
Sets or gets the initContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [initContent]="initContent"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
openDelay
|
Number
|
350
|
Sets or gets the openDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [openDelay]="1000"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [popupZIndex]="9999"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [rtl]="true"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
template
|
enum:DropDownButtonTemplate
|
'default'
|
enum DropDownButtonTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [template]="'success'"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25" [theme]="'energyblue'"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
|
close
|
Event
|
|
This event is triggered when the button's popup is closed.
Code examples
Bind to the close event of jqxDropDownButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton (onClose)="Close($event)" [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the button's popup is opened.
Code examples
Bind to the open event of jqxDropDownButton.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton (onOpen)="Open($event)" [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { this.myDropDownButton.close();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { this.myDropDownButton.destroy();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { this.myDropDownButton.focus();
|
getContent
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { let value = this.myDropDownButton.getContent();
|
isOpened
|
Boolean
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { let value = this.myDropDownButton.isOpened();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { this.myDropDownButton.open();
|
setContent
|
Void
|
content: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDropDownButton #myDropDownButton [width]="300" [height]="25"> <jqxTree #myTree [width]="200"> <ul> <li item-selected='true'>Home </li> <li item-expanded='true'> Solutions <ul> <li>Education </li> <li>Financial services </li> <li>Government </li> <li>Manufacturing </li> <li> Solutions <ul> <li>eLearning </li> <li>Mobile </li> <li>RIA </li> <li>Training </li> </ul> </li> </ul> </li> <li> Products <ul> <li>PC products </li> <li>Mobile products </li> <li>All products </li> </ul> </li> </ul> </jqxTree> </jqxDropDownButton> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDropDownButton') myDropDownButton: jqxDropDownButtonComponent; ngAfterViewInit(): void { this.myDropDownButton.setContent( 'content');
|